<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Rekap Tagihan</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Rekap tagihan TOEFL & IELTS </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-4 col-sm-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0"></h3>
                            </div>
                            <div class="col text-right">

                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Periode</label>
                                        <select name="periodeTest" required class="form-control">
                                            <option value=""></option>
                                            <option th:each="data : ${listPeriode}"
                                                    th:selected="(${data} == *{selectPeriode})"
                                                    th:text="${(data.tanggalUjian + ' - ' + data.jenisTest)}"
                                                    th:value="${data.id}">STEI TAZKIA</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12" style="text-align: center">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-primary" > Show</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div th:if="${selectPeriode}" class="col-md-8 col-sm-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/prediksiTest/rekapTagihan/download(periode = ${selectPeriode.id})}" class="btn btn-success btn-sm text-white"><i class="fas fa-download"></i> Download Rekap</a>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive" >
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th>NIM</th>
                                <th>Nama</th>
                                <th>Angkatan</th>
                                <th>Ujian Ke</th>
                                <th>Jenis Test</th>
                                <th>Nilai</th>
                                <th>Status</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${listTagihan}">
                                <td th:text="${(row.index + 1) + (listTagihan.number * listTagihan.size)}">1</td>
                                <td th:text="${data.mahasiswa.nim}"></td>
                                <td th:text="${data.mahasiswa.nama}">PATRICK STAR</td>
                                <td th:text="${data.mahasiswa.angkatan}">BANGUN DAN SEMANGAT</td>
                                <td th:text="${data.ujianKe}">BANGUN DAN SEMANGAT</td>
                                <td th:text="${data.jenisTest}"></td>
                                <td>
                                    <div th:if="${data.tagihan != null}" th:text="${'Rp. ' + #numbers.formatDecimal(data.tagihan.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></div>
                                </td>
                                <td th:text="${data?.tagihan?.statusTagihan}"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4" th:if="${tahun == null}">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>